package com.muyu.config;

import com.muyu.Engineclient.RuleEngineInit;
import com.muyu.domain.EngineVersion;
import com.muyu.domain.constants.Result;
import com.muyu.remote.RemoteVersionService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Log4j2
public class RuleEngineClientRunner implements ApplicationRunner {

    @Autowired
    private RemoteVersionService remoteVersionService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<List<EngineVersion>> listResult = remoteVersionService.selectVersionList();
        log.info(listResult);
        List<EngineVersion> engineVersionList = listResult.getData();
        RuleEngineInit.init(engineVersionList);
    }
}
