package com.muyu.service.serviceImpl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.EngineLevelEntity;
import com.muyu.domain.constants.Result;
import com.muyu.mapper.EnginLevelMapper;
import com.muyu.mapper.EngineMapper;
import com.muyu.service.EngineLevelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * @Author：qdm
 * @Package：com.muyu.service.serviceImpl
 * @Project：cloud-etl-engine
 * @name：EngineLevelServiceImpl
 * @Date：2024/8/25 18:52
 */
@Service
public class EngineLevelServiceImpl extends  ServiceImpl<EnginLevelMapper, EngineLevelEntity> implements EngineLevelService {

    @Autowired
    EnginLevelMapper enginLevelMapper;

    @Override
    public List<EngineLevelEntity> selectLevelList() {
        List<EngineLevelEntity> lists = enginLevelMapper.selectLevelList();
        return lists;
    }

    @Override
    public Result<EngineLevelEntity> insert(EngineLevelEntity engineLevelEntity) {
        Integer res = enginLevelMapper.insert(engineLevelEntity);
        if (res > 0) {
            return Result.success(engineLevelEntity);
        }
        return Result.error();
    }

    @Override
    public Result<EngineLevelEntity> update(EngineLevelEntity engineLevelEntity) {
        Integer res = enginLevelMapper.update(engineLevelEntity);
        if (res > 0) {
            return Result.success(engineLevelEntity);
        }
        return Result.error();
    }

    @Override
    public Result delete(Integer id) {
        Integer res = enginLevelMapper.delete(id);
        if (res > 0) {
            return Result.success();
        }
        return Result.error();
    }

    @Override
    public Result deleteBatch(Integer[] ids) {
        Integer res = enginLevelMapper.deleteBatch(ids);
        if (res > 0) {
            return Result.success();
        }
        return Result.error();
    }

    @Override
    public Result selectById(Integer id) {
        EngineLevelEntity engineLevelEntity = enginLevelMapper.selectById(id);
        if (engineLevelEntity != null) {
            return Result.success(engineLevelEntity);
        }
        return Result.error();
    }

    @Override
    public List<EngineLevelEntity> selectLevelLists() {
        List<EngineLevelEntity> list = enginLevelMapper.lists();
        return list;
    }

    @Override
    public boolean save(EngineLevelEntity entity) {
        return super.save(entity);
    }

    @Override
    public boolean saveBatch(Collection<EngineLevelEntity> entityList) {
        return super.saveBatch(entityList);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<EngineLevelEntity> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public boolean removeById(EngineLevelEntity entity) {
        return super.removeById(entity);
    }

    @Override
    public boolean removeByMap(Map<String, Object> columnMap) {
        return super.removeByMap(columnMap);
    }
}
